Index: scripts/untested/blfs-scriptlist
===================================================================
--- scripts/untested/blfs-scriptlist	(revision bffaa02a84c783027458c6a77a0b2937d098ac23)
+++ scripts/untested/blfs-scriptlist	(revision bffaa02a84c783027458c6a77a0b2937d098ac23)
@@ -0,0 +1,443 @@
+script_list="blfs-scripts/blfs-which.sh"
+
+### Autotools ###
+script_list="${script_list}
+autotools/blfs-autoconf.sh
+autotools/blfs-automake.sh
+autotools/blfs-libtool-32.sh
+autotools/blfs-libtool-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-sysfsutils-32.sh
+blfs-scripts/blfs-sysfsutils-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-cdparanoia-III-32.sh
+blfs-scripts/blfs-cdparanoia-III-64.sh
+blfs-scripts/blfs-popt-32.sh
+blfs-scripts/blfs-popt-64.sh
+blfs-scripts/blfs-unzip.sh
+blfs-scripts/blfs-gdbm-32.sh
+blfs-scripts/blfs-gdbm-64.sh"
+
+# ed (installed during native-scripts)
+# tcl (installed during blfs-scripts)
+
+script_list="${script_list}
+blfs-scripts/blfs-nas-32.sh
+blfs-scripts/blfs-nas-64.sh
+blfs-scripts/blfs-hicolor-icon-theme.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-libjpeg-32.sh
+blfs-scripts/blfs-libjpeg-64.sh
+blfs-scripts/blfs-freeglut-32.sh
+blfs-scripts/blfs-freeglut-64.sh
+blfs-scripts/blfs-tiff-32.sh
+blfs-scripts/blfs-tiff-64.sh
+blfs-scripts/blfs-gd-32.sh
+blfs-scripts/blfs-gd-64.sh
+blfs-scripts/blfs-glib12-32.sh
+blfs-scripts/blfs-glib12-64.sh
+blfs-scripts/blfs-gtk12-32.sh
+blfs-scripts/blfs-gtk12-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-sgml-common.sh
+blfs-scripts/blfs-opensp-32.sh
+blfs-scripts/blfs-opensp-64.sh
+blfs-scripts/blfs-openjade-32.sh
+blfs-scripts/blfs-openjade-64.sh
+blfs-scripts/blfs-docbook-dsssl.sh  
+blfs-scripts/blfs-docbook-sgml.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-tk-32.sh
+blfs-scripts/blfs-tk-64.sh
+blfs-scripts/blfs-fltk-32.sh
+blfs-scripts/blfs-fltk-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-python-32.sh
+blfs-scripts/blfs-python-64.sh"
+
+script_list="${script_list}
+gnome-scripts/gnome-setup.sh"
+
+script_list="${script_list}
+gnome-scripts/gnome-platform-scripts/gnome-platform-libxml2-32.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-libxml2-64.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-libxslt-32.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-libxslt-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-docbook-xml.sh
+blfs-scripts/blfs-docbook-xsl.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-xml-parser-pm-32.sh
+blfs-scripts/blfs-xml-parser-pm-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-xmlto.sh"
+
+# 32bit libmpeg3 wants nasm
+script_list="${script_list}
+blfs-scripts/blfs-nasm.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-yasm-32.sh
+blfs-scripts/blfs-yasm-64.sh"
+
+script_list="${script_list}
+gnome-scripts/gnome-platform-scripts/gnome-platform-libart_lgpl-32.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-libart_lgpl-64.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-intltool.sh
+gnome-scripts/gnome-desktop-scripts/gnome-desktop-scrollkeeper-32.sh
+gnome-scripts/gnome-desktop-scripts/gnome-desktop-scrollkeeper-64.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-gtk-doc.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-pkgconfig.sh"
+
+script_list="${script_list}
+gnome-scripts/gnome-platform-scripts/gnome-platform-glib-32.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-glib-64.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-libIDL-32.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-libIDL-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-shared-mime-info.sh
+blfs-scripts/blfs-desktop-file-utils.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-gnome-mime-data.sh"
+
+script_list="${script_list}
+gnome-scripts/gnome-platform-scripts/gnome-platform-atk-32.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-atk-64.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-ORBit2-32.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-ORBit2-64.sh"
+
+
+script_list="${script_list}
+blfs-scripts/blfs-mysql-32.sh
+blfs-scripts/blfs-mysql-64.sh"
+
+# TODO: java installation
+#       Need to handle 2 java installations....
+
+
+script_list="${script_list}
+blfs-scripts/blfs-cups-32.sh
+blfs-scripts/blfs-cups-64.sh
+blfs-scripts/blfs-enscript.sh
+blfs-scripts/blfs-psutils.sh
+blfs-scripts/blfs-espgs-32.sh
+blfs-scripts/blfs-espgs-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-zip.sh
+blfs-scripts/blfs-slang-32.sh
+blfs-scripts/blfs-slang-64.sh
+blfs-scripts/blfs-ncompress.sh
+blfs-scripts/blfs-sharutils.sh
+blfs-scripts/blfs-lynx.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-tk-pm-32.sh
+blfs-scripts/blfs-tk-pm-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-t1lib-32.sh
+blfs-scripts/blfs-t1lib-64.sh
+blfs-scripts/blfs-tex-32.sh
+blfs-scripts/blfs-tex-64.sh
+blfs-scripts/blfs-jadetex.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-sgmlspm-32.sh
+blfs-scripts/blfs-sgmlspm-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-docbook-utils.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-foomatic.sh
+blfs-scripts/blfs-foomatic-db-engine-32.sh
+blfs-scripts/blfs-foomatic-db-engine-64.sh
+blfs-scripts/blfs-ijs-32.sh
+blfs-scripts/blfs-ijs-64.sh
+blfs-scripts/blfs-gimp-print-32.sh
+blfs-scripts/blfs-gimp-print-64.sh
+blfs-scripts/blfs-espgs-32.sh
+blfs-scripts/blfs-espgs-64.sh
+blfs-scripts/blfs-a2ps-32.sh
+blfs-scripts/blfs-a2ps-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-swig.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-lcms-32.sh
+blfs-scripts/blfs-lcms-64.sh
+blfs-scripts/blfs-libmng-32.sh
+blfs-scripts/blfs-libmng-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-pgsql-32.sh
+blfs-scripts/blfs-pgsql-64.sh
+blfs-scripts/blfs-unixodbc-32.sh
+blfs-scripts/blfs-unixodbc-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-qt-32.sh
+blfs-scripts/blfs-qt-64.sh
+blfs-scripts/blfs-unixodbc-32.sh
+blfs-scripts/blfs-unixodbc-64.sh"
+
+
+script_list="${script_list}
+blfs-scripts/blfs-graphviz-32.sh
+blfs-scripts/blfs-graphviz-64.sh
+blfs-scripts/blfs-doxygen-32.sh
+blfs-scripts/blfs-doxygen-64.sh"
+
+
+script_list="${script_list}
+gnome-scripts/gnome-platform-scripts/gnome-platform-pango-32.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-pango-64.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-gtk2-32.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-gtk2-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-gamin-32.sh
+blfs-scripts/blfs-gamin-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-libogg-32.sh
+blfs-scripts/blfs-libogg-64.sh
+blfs-scripts/blfs-libvorbis-32.sh
+blfs-scripts/blfs-libvorbis-64.sh
+blfs-scripts/blfs-libmad-32.sh
+blfs-scripts/blfs-libmad-64.sh
+blfs-scripts/blfs-a52dec-32.sh
+blfs-scripts/blfs-a52dec-64.sh"
+
+
+script_list="${script_list}
+blfs-scripts/blfs-libmpeg3-32.sh
+blfs-scripts/blfs-libmpeg3-64.sh"
+
+# could go earlier...
+script_list="${script_list}
+blfs-scripts/blfs-fftw-32.sh
+blfs-scripts/blfs-fftw-64.sh
+blfs-scripts/blfs-fftw3-32.sh
+blfs-scripts/blfs-fftw3-64.sh"
+
+# Not installing MAS or JACK
+#script_list="${script_list}
+#blfs-scripts/blfs-jack-32.sh
+#blfs-scripts/blfs-jack-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-alsa-lib-32.sh
+blfs-scripts/blfs-alsa-lib-64.sh
+blfs-scripts/blfs-alsa-utils.sh
+blfs-scripts/blfs-alsa-tools.sh"
+
+# esound - libtool issue, see script
+script_list="${script_list}
+gnome-scripts/gnome-platform-scripts/gnome-platform-audiofile-32.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-audiofile-64.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-esound-32.sh
+gnome-scripts/gnome-platform-scripts/gnome-platform-esound-64.sh"
+
+#script_list="${script_list}
+#blfs-scripts/blfs-mas-32.sh
+#blfs-scripts/blfs-mas-64.sh"
+
+script_list="${script_list}
+kde-scripts/kde-arts-32.sh
+kde-scripts/kde-arts-64.sh"
+
+# optional kde-libs
+script_list="${script_list}
+blfs-scripts/blfs-pcre-32.sh
+blfs-scripts/blfs-pcre-64.sh
+blfs-scripts/blfs-libidn-32.sh
+blfs-scripts/blfs-libidn-64.sh
+blfs-scripts/blfs-aspell-32.sh
+blfs-scripts/blfs-aspell-64.sh"
+
+# optional kde-libs
+script_list="${script_list}
+blfs-scripts/blfs-jasper-32.sh
+blfs-scripts/blfs-jasper-64.sh
+blfs-scripts/blfs-OpenEXR-32.sh
+blfs-scripts/blfs-OpenEXR-64.sh"
+
+# mdns
+script_list="${script_list}
+blfs-scripts/blfs-mdns-32.sh
+blfs-scripts/blfs-mdns-64.sh"
+
+# # sane backend deps
+# libusb
+script_list="${script_list}
+blfs-scripts/blfs-libusb-32.sh
+blfs-scripts/blfs-libusb-64.sh"
+
+# libieee1284
+script_list="${script_list}
+blfs-scripts/blfs-libieee1284-32.sh
+blfs-scripts/blfs-libieee1284-64.sh"
+# 
+# # for gphoto
+# # libusb
+# 
+# libexif
+script_list="${script_list}
+blfs-scripts/blfs-libexif-32.sh
+blfs-scripts/blfs-libexif-64.sh"
+
+# exif [ libexif popt ]
+script_list="${script_list}
+blfs-scripts/blfs-exif.sh"
+
+# libexif-gtk [ libexif gtk2 ]
+script_list="${script_list}
+blfs-scripts/blfs-libexif-gtk-32.sh
+blfs-scripts/blfs-libexif-gtk-64.sh"
+
+# gexif [ libexif -> libexif-gtk gtk-2 ]
+# (appears broken)
+#script_list="${script_list}
+#blfs-scripts/blfs-gexif.sh"
+
+# 
+# libgphoto2  [ optional libexif libusb ]
+script_list="${script_list}
+blfs-scripts/blfs-libgphoto2-32.sh
+blfs-scripts/blfs-libgphoto2-64.sh"
+
+# aalib
+script_list="${script_list}
+blfs-scripts/blfs-aalib-32.sh
+blfs-scripts/blfs-aalib-64.sh"
+
+# cdk http://dickey.his.com/cdk/cdk.html
+script_list="${script_list}
+blfs-scripts/blfs-cdk-32.sh
+blfs-scripts/blfs-cdk-64.sh"
+
+# gphoto2  [ libgphoto optional libpopt  aalib cdk ]
+script_list="${script_list}
+blfs-scripts/blfs-gphoto2.sh"
+
+# 
+# sane-backends 
+script_list="${script_list}
+blfs-scripts/blfs-sane-backends-32.sh
+blfs-scripts/blfs-sane-backends-64.sh"
+# 
+# libntlm
+script_list="${script_list}
+blfs-scripts/blfs-libntlm-32.sh
+blfs-scripts/blfs-libntlm-64.sh"
+# 
+# # optional kde-libs sane mdns ntlm libart
+#kde-libs
+script_list="${script_list}
+kde-scripts/kde-kde-libs-32.sh
+kde-scripts/kde-kde-libs-64.sh"
+
+########################################
+# optional kde-base 
+script_list="${script_list}
+blfs-scripts/blfs-wine.sh
+blfs-scripts/blfs-mtools.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-samba-32.sh
+blfs-scripts/blfs-samba-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-libraw1394-32.sh
+blfs-scripts/blfs-libraw1394-64.sh
+blfs-scripts/blfs-lm_sensors-32.sh
+blfs-scripts/blfs-lm_sensors-64.sh"
+
+# speex, flac libsndfile lame...
+# libmikmod xmms flac libsndfile
+script_list="${script_list}
+blfs-scripts/blfs-speex-32.sh
+blfs-scripts/blfs-speex-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-libmikmod-32.sh
+blfs-scripts/blfs-libmikmod-64.sh
+blfs-scripts/blfs-xmms-32.sh
+blfs-scripts/blfs-xmms-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-flac-32.sh
+blfs-scripts/blfs-flac-64.sh
+blfs-scripts/blfs-libsndfile-32.sh
+blfs-scripts/blfs-libsndfile-64.sh
+blfs-scripts/blfs-lame-32.sh
+blfs-scripts/blfs-lame-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-lesstif-32.sh
+blfs-scripts/blfs-lesstif-64.sh"
+
+script_list="${script_list}
+blfs-scripts/blfs-libpaper-32.sh
+blfs-scripts/blfs-libpaper-64.sh
+blfs-scripts/blfs-xpdf.sh"
+
+#mtools libsmbclient fam java wine crossover_plugin xpdf lame 
+script_list="${script_list}
+kde-scripts/kde-kde-base-32.sh
+kde-scripts/kde-kde-base-64.sh"
+
+### Multimedia ###
+script_list="${script_list}
+blfs-scripts/blfs-libfame-32.sh
+blfs-scripts/blfs-libfame-64.sh
+blfs-scripts/blfs-id3lib-32.sh
+blfs-scripts/blfs-id3lib-64.sh
+blfs-scripts/blfs-faad2-32.sh
+blfs-scripts/blfs-faad2-64.sh
+blfs-scripts/blfs-faac-32.sh
+blfs-scripts/blfs-faac-64.sh
+blfs-scripts/blfs-directfb-32.sh
+blfs-scripts/blfs-directfb-64.sh
+blfs-scripts/blfs-giflib-32.sh
+blfs-scripts/blfs-giflib-64.sh
+blfs-scripts/blfs-imlib2-32.sh
+blfs-scripts/blfs-imlib2-64.sh
+blfs-scripts/blfs-libcaca-32.sh
+blfs-scripts/blfs-libcaca-64.sh
+blfs-scripts/blfs-sdl-32.sh
+blfs-scripts/blfs-sdl-64.sh
+blfs-scripts/blfs-libtheora-32.sh
+blfs-scripts/blfs-libtheora-64.sh
+blfs-scripts/blfs-xvid-32.sh
+blfs-scripts/blfs-xvid-64.sh"
+
+
+# FFMpeg and deps
+# Here we are using code straight from svn/cvs
+#---------------------------------------------
+# spidermonkey (ij) needed by gpac.
+# gpac needed by x264 , reqs spidermonkey, cvid and (circ) ffmpeg
+#script_list="${script_list}
+#blfs-scripts/blfs-gpac-32.sh
+#blfs-scripts/blfs-gpac-64.sh"
+# x264 is experimental code straight from svn... there is no release as of yet
+#script_list="${script_list}
+#blfs-scripts/blfs-x264-32.sh
+#blfs-scripts/blfs-x264-64.sh"
+
+# gtkam [ gtk2 libgphoto optional libexif bonobo gnome gimp ]
Index: scripts/untested/build-blfs-extra.sh
===================================================================
--- scripts/untested/build-blfs-extra.sh	(revision bffaa02a84c783027458c6a77a0b2937d098ac23)
+++ scripts/untested/build-blfs-extra.sh	(revision bffaa02a84c783027458c6a77a0b2937d098ac23)
@@ -0,0 +1,119 @@
+#!/bin/bash
+
+# build-blfs-extra.sh 
+#
+# Script to build blfs packages
+# 
+# Authors: Ryan Oliver <ryan.oliver@pha.com.au
+#
+# $LastChangedBy: ryan $
+# $LastChangedDate: 2004-09-28 17:23:32 +1000 (Tue, 28 Sep 2004) $
+# $LastChangedRevision: 238 $
+
+# Set SELF to be name of script called, minus any path...
+SELF=$(basename ${0})
+echo "Running ${SELF}"
+VERSION="3.0.1"
+DATE=$(date +'%Y%m%d')
+export DATE
+
+# Read in build configuration information
+# plfs-config should reside in the same directory as this script.
+# We need to use dirname to determine where to find it as SCRIPTS
+# env var is not set yet (set in plfs-config itself)
+
+# HACK: while in untested dir, plfs-config resides one dir below
+. `dirname ${0}`/../plfs-config
+
+# Sanity check, are ${LFS}, ${HST_TOOLS} and ${TGT_TOOLS} set?
+if [ "X${LFS}" = "X" -o "X${HST_TOOLS}" = "X" -o "X${TGT_TOOLS}" = "X" ]; then
+   echo "Error: Not all required environment vars have been set." 1>&2
+   echo "       Check plfs-config" 1>&2
+   exit 1
+fi
+
+export LFS=""
+
+# Get package version information
+. ${SCRIPTS}/plfs-packages
+. ${SCRIPTS}/blfs-packages
+
+# Source Functions and definitions
+. ${SCRIPTS}/build-init.sh
+
+# extra for under untested dir
+. ${SCRIPTS}/untested/blfs-scripts/blfs-packages
+
+. ${SCRIPTS}/untested/gnome-scripts/gnome-platform-packages
+. ${SCRIPTS}/untested/gnome-scripts/gnome-desktop-packages
+#env
+. ${SCRIPTS}/untested/kde-scripts/kde-packages
+
+. ${SCRIPTS}/untested/blfs-scripts/qt-setup.sh
+. ${SCRIPTS}/untested/gnome-scripts/gnome-setup.sh
+. ${SCRIPTS}/untested/kde-scripts/kde-setup.sh
+. ${SCRIPTS}/untested/blfs-scripts/java-setup.sh
+
+export TARBALLS=/proj/blfs-pkgs
+export GNOME_TARBALLS=/mnt/tarballs/gnome
+export KDE_TARBALLS=/mnt/tarballs/kde
+export PATCHES=${SCRIPTS}/untested/blfs-patches
+
+unset LD_LIBRARY_PATH
+unset LD_PRELOAD
+
+# Configure uses these if set, and will not look for a cross-compiler
+unset CC CXX
+
+# Setup PATH
+#export PATH=/bin:/sbin:/usr/bin:/usr/sbin
+
+# If ${SRC} does not exist, create it
+test -d ${SRC} || mkdir -p ${SRC}
+
+mkdir -p ${CONFLOGS}
+mkdir -p ${BUILDLOGS}
+mkdir -p ${INSTLOGS}
+mkdir -p ${TESTLOGS}
+cd ${SRC}
+
+#scripts_dir="cross-scripts-${VERSION}"
+scripts_dir="untested"
+
+. ${SCRIPTS}/untested/blfs-scriptlist
+
+#echo ${script_list}
+
+SCRIPTLIST=`echo "${script_list}" | \
+  sed "s@\(.*\)@${scripts_dir}/\1@"`
+
+# Check if we are resuming from a particular script
+test ! -z "${1}" &&
+{
+   SCRIPTLIST=`echo ${SCRIPTLIST} | sed "s@.*\(${1}.*\)@untested/\1@g"`
+}
+                                                                                
+echo ' o Checking for needed sources and tarballs'
+#check_tarballs ${SCRIPTLIST}
+
+for script in ${SCRIPTLIST}; do
+   echo "Running ${SCRIPTS}/${script}"
+   # HACK: export SELF to be the script we are running
+   #       (keeps logfile output correct)
+   export SELF=${script}
+   ${SCRIPTS}/${script}
+
+   test 0 = ${?} ||
+   {
+      echo
+      echo "Failed script was ${script}"
+      echo "Please fix the error above from"
+      echo "   ${SCRIPTS}/${script}"
+      echo "and rerun the build with the command"
+      echo
+      echo "   ${0} $script"
+      echo
+      echo "to resume the build."
+      exit 1
+   }
+done
